# GimpUi.ScaleEntry.new

    function new(text: String, value: Number(gdouble), lower: Number(gdouble), upper: Number(gdouble), digits: Number(guint)): Gtk.Widget {
        // Gjs wrapper for gimp_scale_entry_new()
    }

This function creates a Gtk.Label, a Gtk.HScale and a Gtk.SpinButton and attaches them to a 3-column Gtk.Grid.

text

  The text for the Gtk.Label which will appear left of the Gtk.HScale.

value

  The initial value.

lower

  The lower boundary.

upper

  The upper boundary.

digits

  The number of decimal digits.

Returns

  The new GimpUi.ScaleEntry.